Bug 1073057 - [PATCH] Default backing store to off for X11 backend
Summary: [PATCH] Default backing store to off for X11 backend
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-05 16:50 UTC by Adam Jackson
Modified: 2014-03-07 13:53 UTC (History)
2 users (show)

Fixed In Version: SDL-1.2.15-14.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-07 09:56:45 UTC
Type: Bug


Attachments (Terms of Use)
SDL-1.2.15-no-default-backing-store.patch (589 bytes, patch)
2014-03-05 16:50 UTC, Adam Jackson
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
SDL Simple Directmedia Layer 2383 0 None None None Never

Description Adam Jackson 2014-03-05 16:50:15 UTC
Created attachment 871056 [details]
SDL-1.2.15-no-default-backing-store.patch

Apropos of upstream bug:

https://bugzilla.libsdl.org/show_bug.cgi?id=2383

Since upstream apparently doesn't intend to do another 1.2 release, we should patch this back to the old behaviour, at least on Fedorae running xserver 1.15 or newer (ie, F21+).  Attached patch does this.

Comment 1 Petr Pisar 2014-03-06 07:50:06 UTC
Does xserver 1.15 always enable backing store, or only when Composition extension is enabled, or only if a compositor is running?

Comment 2 Adam Jackson 2014-03-06 15:40:54 UTC
(In reply to Petr Pisar from comment #1)
> Does xserver 1.15 always enable backing store

Effectively yes, because...
 
> or only when Composition extension is enabled

... when the Composite extension is enabled, backing store support is advertised, and the Composite extension is enabled by default.

Comment 3 Petr Pisar 2014-03-07 09:12:13 UTC
I asked because your suggestion in the SDL upstream was to checke for a compositor, not for composite extension. At least that was my impression.

Comment 4 Adam Jackson 2014-03-07 13:53:36 UTC
(In reply to Petr Pisar from comment #3)
> I asked because your suggestion in the SDL upstream was to checke for a
> compositor, not for composite extension. At least that was my impression.

Yeah, I was trying to give them another option in case they really did have a reason to want backing store.  I think just reverting to the old behaviour is the better move though.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.